import java.awt.*;
import javax.swing.*;

public class CardLayoutDemo extends JPanel
{
  public CardLayoutDemo()
  {
    setPreferredSize(new Dimension(350, 300));

    CardLayout layout = new CardLayout();
    setLayout(layout);

    ImageIcon image1 = new ImageIcon("../images/sanddune.gif");
    ImageIcon image2 = new ImageIcon("../images/snowy-peaks.gif");
    ImageIcon image3 = new ImageIcon("../images/surf-rock.gif");

    add(new JButton(image1), "sanddune", 0);
    add(new JButton(image2), "snowy-peaks", 1);
    add(new JButton(image3), "surf-rock", 2);

    layout.show(this, "snowy-peaks");
  }

  public static void main(String [] args)
  {
    CardLayoutDemo app = new CardLayoutDemo();

    JFrame f = new JFrame("CardLayout Demo");
    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }

}
