import java.awt.event.*;
import javax.swing.ImageIcon;
import javax.swing.Action;
import javax.swing.AbstractAction;


class ConcreteAction extends AbstractAction
{
  public ConcreteAction()
  {
    putValue(Action.NAME, "Concrete Action");
    putValue(Action.SHORT_DESCRIPTION, shortDesc);
    putValue(Action.LONG_DESCRIPTION, longDesc);
  }

  public void actionPerformed(ActionEvent e)
  {
    // Do some "action" in response to the activation of
    // the event source, which fires the ActionEvent 
    // event. 
    System.out.println("ConcreteAction did its action.");
  }

  static String shortDesc = "Example action";

  static String longDesc = 
  "Demonstrates implementation of the Action interface.";
}
